<?php
#
# Copyright 2003 James Seng. See LICENSE for the Software License.
#
if (!headers_sent())
    header("Content-type: text/html; charset=utf-8");

include_once "includes/pong.inc";

pong_page_header();

if (!isset($_SESSION['login']) 
|| ($_SESSION['login']+86400<time())) {
    cmd_login();
} else {
    $cmd = "cmd_" . strtolower($_REQUEST['q']);
    if (function_exists($cmd)) {
        $cmd();
        $config->save();
    } else {
        if ($_REQUEST['q'] != "") showmsg("error","Unknown function!");
        cmd_default();
    }
}

pong_page_footer();

?>
